Subject: Re: [patch net-next-2.6] net: reinject arps into bonding slave instead of master

From: Nicolas de Pesloüan<[email-masked]>
Date: Tue, 08 Mar 2011 22:44:37 +0100

Le 08/03/2011 14:42, Andy Gospodarek a écrit :
> I'm pretty sure this patch will have the same catastrophic problem your
> last one did.  By cloning and setting skb2->dev = orig_dev you just
> inserted a frame identical to the one we received right back into the
> stack.  It only took a few minutes for my box to melt as one frame on
> the wire will cause an infinite number of frames to be received by the
> stack.

I agree with Andy. We still keep one reinject (netif_rx), which is probably better that two 
(__netif_receive_skb), but not enough.

I really think we need a general framework for late delivery of final packets to packet handler 
registered somewhere in the rx_handler path.

Jiri, is this patch the one you announced as "I have some kind nice solution in mind and I'm going 
to submit that as a patch later (too many patches are in the wind atm)" ?